#90750 Report by node travis-ci covering 1962 tests from 54 modules resulted into 4 errors

Report

ObsPy Version
1.1.0.post0+47.gfe304cec7f....
Continuous Integration
https://travis-ci.org/obspy/obspy/jobs/306391275
GitHub Pull Request
-
Report File
XML Document
Total Runtime
941.0 sec
Report Date/Time
2017-11-23 13:13:44

System / Python

Architecture
64bit
Machine
x86_64
Node
travis-ci
Processor
x86_64
Python Compiler
GCC 7.2.0
Python Implementation
CPython
Python Version
3.6.3
Release
4.9.6-040906-generic
System
Linux
Version
#201701260330 SMP Thu Jan 26 08:32:10 UTC 2017

Dependencies

cartopy
---
decorator
4.1.2
flake8
---
future
0.16.0
geographiclib
1.49
lxml.etree
4.1.0
m2crypto
---
matplotlib
2.0.2
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.13.3
pep8-naming
---
pyflakes
---
pyimgur
0.5.2
pyproj
1.9.5.1
requests
2.18.4
scipy
1.0.0
setuptools
36.5.0.post20170921
shapefile
1.2.12
sqlalchemy
1.1.13

Modules (54)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 2 1 2
obspy.clients.earthworm - -
obspy.clients.fdsn 1 3
obspy.clients.filesystem - -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl - -
obspy.clients.seedlink 1 4
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/tests/test_client.py", line 96, in test_delayed_request
stream = client.get_waveforms('GR', 'FUR', '', 'HHE', start, end)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 444, in get_waveforms
compressed=compressed, route=route)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 565, in save_waveforms
data = self._fetch(rtype, rdata, route=route)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 244, in _fetch
raise ArcLinkException(msg % (request_data[2], request_data[3]))
obspy.clients.arclink.client.ArcLinkException: Could not find route to GR.FUR. If you think the data should be there, you might want to retry with manually connecting to a different ArcLink node (see docstring of Client) to see if there is a problem with a routing table at a specific ArcLink node (and contact the ArcLink node operators).
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 169, in _reconnect
self._client.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/telnetlib.py", line 234, in open
self.sock = socket.create_connection((host, port), timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/socket.py", line 724, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/socket.py", line 713, in create_connection
sock.connect(sa)
socket.timeout: timed out
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/tests/test_client.py", line 429, in test_get_stations
result = client.get_stations(start, end, 'MN', route=True)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 1379, in get_stations
endtime=endtime, route=route)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 1123, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 258, in _fetch
self._reconnect()
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/arclink/client.py", line 174, in _reconnect
self._client.timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/telnetlib.py", line 234, in open
self.sock = socket.create_connection((host, port), timeout)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/socket.py", line 724, in create_connection
raise err
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/socket.py", line 713, in create_connection
sock.connect(sa)
socket.timeout: timed out
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/tests/test_eidaws_routing_client.py", line 323, in test_get_waveforms_integration_test
endtime=obspy.UTCDateTime(2017, 1, 1, 0, 1))
File "<decorator-gen-60>", line 2, in get_waveforms
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "<decorator-gen-59>", line 2, in get_waveforms
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 86, in _assert_attach_response_not_in_kwargs
return f(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 311, in get_waveforms
return self.get_waveforms_bulk([bulk], **kwargs)
File "<decorator-gen-63>", line 2, in get_waveforms_bulk
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 79, in _assert_filename_not_in_kwargs
return f(*args, **kwargs)
File "<decorator-gen-62>", line 2, in get_waveforms_bulk
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 86, in _assert_attach_response_not_in_kwargs
return f(*args, **kwargs)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/eidaws_routing_client.py", line 117, in get_waveforms_bulk
r = self._download(self._url + "/query", data=bulk_str)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/base.py", line 245, in _download
self._handle_requests_http_error(r)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/routing/routing_client.py", line 280, in _handle_requests_http_error
raise_on_error(r.status_code, get_reason_from_response(r))
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/fdsn/client.py", line 1706, in raise_on_error
server_info)
obspy.clients.fdsn.header.FDSNNoDataException: No data available for request.
Traceback (most recent call last):
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/seedlink/tests/test_basic_client.py", line 42, in test_get_waveform
_test_offset_from_realtime(offset)
File "/home/travis/miniconda/envs/test-environment/lib/python3.6/site-packages/obspy/clients/seedlink/tests/test_basic_client.py", line 25, in _test_offset_from_realtime
self.assertGreater(len(st), 0)
AssertionError: 0 not greater than 0

Skipped Tests (31)

Submodule Test Skip Message
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) Formatting tests require at least flake8 3.0.
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.

Slowest Tests (20)

Runtime Test
53.744s test_get_stations (obspy.clients.arclink.tests.test_client.ClientTestCase)
45.124s test_get_waveform (obspy.clients.seedlink.tests.test_basic_client.ClientTestCase)
31.883s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
26.837s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
21.109s test_get_stations_integration_test (obspy.clients.fdsn.tests.test_eidaws_routing_client.EIDAWSRoutingClientTestCase)
20.704s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
18.563s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
18.212s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
17.978s test_get_waveform_with_metadata (obspy.clients.arclink.tests.test_client.ClientTestCase)
15.380s test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase)
14.461s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
12.504s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.227s test_issue_311 (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.161s __init__ (obspy.taup)
12.012s test_get_inventory_stationgroup (obspy.clients.arclink.tests.test_client.ClientTestCase)
11.823s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
11.813s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.416s test_get_waveforms_integration_test (obspy.clients.fdsn.tests.test_eidaws_routing_client.EIDAWSRoutingClientTestCase)
10.106s __init__ (obspy.clients.arclink)
9.770s test_eida_token_resolution (obspy.clients.fdsn.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris protocol design method has no status, requests or responses, only commands.